Subject: Re: egcs-2.9.66 (B20.1) errors
From: "Phil Edwards" <[email-masked]>
To: "Cygwin List" <[email-masked]>
Date: Wed, 07 Apr 1999 07:51:03 -0800

On Tue, 6 Apr 1999 16:40:43    Mumit Khan wrote:
>
>The only time I've seen is when running GCC with -mno-cygwin mode or using
>include path that has mingw32 include files before g++ include files. The
>Mingw32 header directory contains alloc.h, which should be deleted (and
>the contents moved into malloc.h), which causes this.

That's exactly the situation here.  I am now beating
my head into pulp for not mentioning this:  the specs
file being used is the same one that I sent to the
list a few days earlier, asking for comments.  The
default mode is now "no-cygwin", and the mingw32
include path comes before all the others.  Again, I
apologize for not mentioning that.  Gee, ya think it
could make a difference...?

The difference in 'spces' is the only change.  Honest.

>Can you please send me more info?
>  
>  $ env > bug.txt
>  $ cygcheck -s -r >> bug.txt 2>&1 
>  $ gcc -c -v -save-temps foo.cc >> bug.txt 2>&1
>
>and email me bug.txt and foo.ii file.

I'll send them separately in a moment.  I should point
out that I'll generally be using gcc by itself from a
DOS box.  The only times I venture into bash are when
I need to build a GNU package, where I have to run
things like 'configure' et al.

Phil
It's gonna be one of /those/ weeks...

-----== Sent via Deja News, The Discussion Network ==-----
http://www.dejanews.com/  Easy access to 50,000+ discussion forums

--
Want to unsubscribe from this list?
Send a message to [email-masked]